<?php
namespace Modules\Appointment\Repositories\Interfaces;

use App\Repositories\Interfaces\EloquentRepositoryInterface;

interface InstructorRepositoryInterface extends EloquentRepositoryInterface
{
    public function getIndex(): array;
    public function instructors(): array;
    public function editData($modelId): array;
    public function instructorById($id): array;
    public function instructorBySlug($slug): array;
}
